<p align="center"><img
  alt="Zenario" width="284" height="114"
  src="https://zenar.io/zenario_custom/misc/logo_on_github/zenario%20logo@4x.png"
/></p>

What is Zenario?
-------------------

Zenario is a web-based **content management system** (CMS). It can be used for simple
sites, with many "wysiwyg" features for making regular web pages, news items, blogs and
so on.

It has powerful features for running **extranet** sites, such as customer portals,
and online databases (e.g. of products, documents or vidoes). 

It also has **multilingual** features built in from the core, so that a site can easily
be set up to deliver content in in multiple languages.

* Zenario's [Official website](https://zenar.io)

What are the main features?
------------------------------

* **Free, open source** code (BSD license) written in PHP

* **WYSIWYG** tools for arranging page layouts and editing content
 
* **Permissions system** for managing what administrators can do

* **Page versioning system** allows pages to be created, previewed, and published, and a history 
  to be stored
 
* **Drag and drop** tools for setting up and modifying site menu navigation
 
* Support for documents, blogs, news items, events, and other content types, **(developers can
  create their own content types)**
 
* In-built **image optimisation** so that while full-size images are stored as JPG/PNG, client
  is served with an optimised WebP image 

* Includes the **Gridmaker** tool for creating responsive layout designs by drag and drop
 
* **Extranet** user and contact management; full set of extranet features (login, register etc.)
 
* Powerful **Forms** feature, with which data can be captured and then emailed, merged with a 
  contact's data, or sent to a CRM
 
* Data schemas for Users/contacts, Locations, Documents can be modified (adding fields) using
  Zenario's **Datasets** feature
 
* Many in-built **search-engine optimisation** features, such as XML sitemap, friendly URLs and more


Learn Zenario
--------------------------------------

* Watch our [videos](https://zenar.io/video-tutorials) to learn how to use Zenario.

* Access the [Zenario documentation area](https://zenar.io/documentation-area) to get
  technical help if you are a designer, or want to write your own modules.

* Can't find what you're looking for? Ask us in the [forum](https://zenar.io/forums).


About this repository
---------------------

This repository contains the latest publicly available version of Zenario. It is a copy of our private repository, with the "bleeding edge" version removed. We're currently not able to accept Pull requests into this repository.


Download Zenario
---------------------
You can download a packaged version of Zenario in zip, gzip or 7zip format at
  [zenar.io/download-zenario](https://zenar.io/download-zenario).


